Name:          libzip
Version:       1.6.1
Release:       1mamba
Summary:       A C library for reading, creating, and modifying zip archives
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.nih.at/libzip/index.html
Source:        http://www.nih.at/libzip/libzip-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libzip is a C library for reading, creating, and modifying zip archives.
Files can be added from data buffers, files, or compressed data copied directly from other zip archives.
Changes made without closing the archive can be reverted.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libzip is a C library for reading, creating, and modifying zip archives.
Files can be added from data buffers, files, or compressed data copied directly from other zip archives.
Changes made without closing the archive can be reverted.

This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Archiving
Summary:       Programs for manipulating zip archives
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Libzip is a C library for reading, creating, and modifying zip archives.
This package contains the following programs for manipulating zip archives:
 - zipcmp: compare contents of zip
 - zipmerge: merge zip archives

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libzip.so.*
%doc AUTHORS THANKS

%files devel
%defattr(-,root,root)
%{_includedir}/zip.h
%{_includedir}/zipconf.h
%{_libdir}/libzip.so
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/libzip.*
%{_mandir}/man3/zip_*
%{_mandir}/man3/ZIP_SOURCE_GET_ARGS.3*

%files tools
%defattr(-,root,root)
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool
#%{_bindir}/ziptorrent
%{_mandir}/man1/zipcmp.*
%{_mandir}/man1/zipmerge.*
#%{_mandir}/man1/ziptorrent.*
%{_mandir}/man1/ziptool.1*

%changelog
* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Thu Jul 25 2019 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Nov 30 2017 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Mar 13 2017 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Sun Mar 06 2016 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Tue May 19 2015 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Dec 24 2013 Automatic Build System <autodist@mambasoft.it> 0.11.2-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Sun Mar 27 2011 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic update by autodist

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic update by autodist

* Thu Jan 28 2010 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic update by autodist

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 0.9-1mamba
- update to 0.9

* Fri Dec 21 2007 Aleph0 <aleph0@openmamba.org> 0.8-1mamba
- package created by autospec
